/*
 * Tipo: ContaAbstrata
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* ContaAbstrata modela uma conta de um banco onde no especificamos como
* sero realizadas as operaoes de crdito e dbito.
* 
*/
public abstract class ContaAbstrata {

    protected String numero; // O nmero da conta
    protected double saldo; // O saldo da conta

    /**
     * Construtor da classe ContaAbstrata.
     *
     * @param numero    nmero da conta
     *
     */
    public ContaAbstrata(String numero) {
        this.numero = numero;
        saldo = 0;
    }
    
    /**
     * Este mtodo retorna o nmero da conta.
     *
     * @return        Numero da conta
     *
     */ 
    public String getNumero() {
        return numero;
    }  
    
    /**
     * Este mtodo retorna o saldo da conta.
     *
     * @return        Saldo da conta
     *
     */ 
    public double getSaldo() {
        return saldo;
    }  

    /**
     * Este mtodo altera o saldo da conta.
     *
     * @return        Saldo da conta
     *
     */ 
    protected void setSaldo(double v) {
        saldo = v;
    }
    
    /**
     * Este mtodo credita um valor ao saldo da conta.
     *
     * @param valor    Valor a ser creditado
     *
     */
    public void creditar(double valor) {
        saldo = saldo + valor;
    }

    /**
     * Este mtodo debita um valor ao saldo da conta.
     *
     * @param valor    Valor a ser debitado
     *
     */
    public abstract void debitar(double valor);

}