/*
 * Tipo: ContaEspecial
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* ContaEspecial modela uma conta de um banco que a cada crdito
* armazena uma informao de bnus para a mesma.
* 
*/
public class ContaEspecial extends Conta {

    public static final double taxa = 0.01; // representa a percentagem de bonus a ser creditado
    private double bonus; // representa um bnus
    
    /**
     * Construtor da classeConta.
     *
     * @param numero    nmero da conta
     *
     */
    public ContaEspecial(String numero) {
        super (numero);
        this.bonus = 0;
    }
    
    /**
     * Este mtodo credita um valor ao saldo da conta e
     * adiciona uma percentagem do valor creditado ao bonus.
     *
     * @param valor    Valor a ser creditado
     *
     */
    public void creditar(double valor) {
        bonus = bonus + (valor * taxa);
        super.creditar(valor);
    }
    
}