/*
 * Tipo: ContaImposto 
 *
 * Marca Registrada (c) 2000 CiN
 * Todos os direitos reservados.
 *
 * Este software  confidencial e propriedade intelectual do 
 * CiN - Centro de Informtica. 
 * Voc no deve utilizar indevidamente este produto em desacordo com o 
 * contrato estabelecido com a empresa.
 */

package classesAbstratas;


/**
* ContaImposto modela uma conta de um banco, a qual
* cobra 0,1% de imposto a cada debito realizado na mesma.
* 
*/
public class ContaImposto extends ContaAbstrata {

    public static final double taxa = 0.001; // imposto a ser cobrado

    /**
     * Construtor da classeContaImposto.
     *
     * @param numero    nmero da conta
     *
     */
    public ContaImposto(String numero) {
        super (numero);
    }
    
    /**
     * Este mtodo debita um valor acrescido de uma 
     * taxa ao saldo da conta.
     *
     * @param valor    Valor a ser debitado
     *
     */
    public void debitar(double valor) {  
        double i = valor + (valor * taxa);
        this.setSaldo(this.getSaldo() - i);
    }

}
